Ask Your Question
0

how to remove this error in pcl?

asked 2016-06-02 03:12:44 -0500

dinesh gravatar image

Could not find a package configuration file provided by "pcl_conversions" with any of the following names:

pcl_conversionsConfig.cmake
pcl_conversions-config.cmake

after running catkin_make to build the pcl package this error always comes, im tired of this error. o man.

edit retag flag offensive close merge delete

4 Answers

Sort by ยป oldest newest most voted
3

answered 2016-06-02 03:37:47 -0500

marcozorzi gravatar image

You should post here the package file and the cmake file, it seems like you didn't write them correctly. Anyway make sure you have these in the package.xml:

  <build_depend>pcl_conversions</build_depend>
  <build_depend>pcl_ros</build_depend>

  <run_depend>pcl_conversions</run_depend>
  <run_depend>pcl_ros</run_depend>

and then in the CMakeLists.txt file you should have something like this:

find_package(catkin REQUIRED COMPONENTS
  pcl_conversions
  pcl_ros
)
target_link_libraries(executable_name
  ${catkin_LIBRARIES}
  ${roslib_LIBRARIES}
  ${PCL_LIBRARIES}
)

I hope this helps

edit flag offensive delete link more

Comments

CMake Error at /opt/ros/indigo/share/catkin/cmake/catkinConfig.cmake:83 (find_package): Could not find a package configuration file provided by "pcl_ros" with any of the following names:

pcl_rosConfig.cmake
pcl_ros-config.cmake

Add the installation prefix of "pcl_ros" to CMAKE_PRE

dinesh gravatar image dinesh  ( 2016-06-02 05:18:42 -0500 )edit

now this error is coming.

dinesh gravatar image dinesh  ( 2016-06-02 05:18:58 -0500 )edit

Then try to add this one to the cmake file

## System dependencies are found with CMake's conventions
find_package(PCL 1.7 REQUIRED COMPONENTS)

Then give it a catkin_make clean and then again catkin_make an let me know. Of course I am assuming that you have pcl 1.7 installed correctly

marcozorzi gravatar image marcozorzi  ( 2016-06-02 09:28:11 -0500 )edit

pcl 1.7 is installed, but still getting problems.

dinesh gravatar image dinesh  ( 2016-06-03 06:17:56 -0500 )edit

hurray it is finally working. i dont know exactly what was the problem, but after reinstalling the package and rewriting the codes, it is now not showing any error. thanks for your feedback sir, by the way.

dinesh gravatar image dinesh  ( 2016-06-03 14:39:32 -0500 )edit

Glad I could help!

marcozorzi gravatar image marcozorzi  ( 2016-06-05 04:58:51 -0500 )edit
1

answered 2017-04-05 22:04:13 -0500

Siteen gravatar image

I solved the problem by installing the pcl_conversions and pcl_ros packages.

$sudo apt-get update
$sudo apt-get install ros-indigo-pcl-conversions
$sudo apt-get install ros-indigo-pcl-ros
edit flag offensive delete link more
0

answered 2020-02-20 03:07:03 -0500

try this:

sudo apt-get install ros-kinetic-perception

edit flag offensive delete link more
0

answered 2017-11-15 20:43:06 -0500

TycoonChen gravatar image

same problem. there is my solution: reset the sources, delete error sources. type sudo apt-get update then type sudo apt-get install ros-<your version="">-octomap-* for me , problem solved.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-06-02 03:12:44 -0500

Seen: 5,913 times

Last updated: Apr 05 '17